<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy QCPBarsGroup</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_bars_group.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-types">Typy publiczne</a> &#124;
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pro-methods">Metody chronione</a> &#124;
<a href="#pro-attribs">Atrybuty chronione</a> &#124;
<a href="#friends">Przyjaciele</a> &#124;
<a href="class_q_c_p_bars_group-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy QCPBarsGroup</div></div>
</div><!--header-->
<div class="contents">

<p>Groups multiple <a class="el" href="class_q_c_p_bars.html" title="A plottable representing a bar chart in a plot.">QCPBars</a> together so they appear side by side.  
 <a href="class_q_c_p_bars_group.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla QCPBarsGroup</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_bars_group__inherit__graph.png" border="0" usemap="#a_q_c_p_bars_group_inherit__map" alt="Inheritance graph"/></div>
<map name="a_q_c_p_bars_group_inherit__map" id="a_q_c_p_bars_group_inherit__map">
<area shape="rect" title="Groups multiple QCPBars together so they appear side by side." alt="" coords="5,79,117,104"/>
<area shape="rect" title=" " alt="" coords="26,5,97,31"/>
<area shape="poly" title=" " alt="" coords="64,44,64,79,59,79,59,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla QCPBarsGroup:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_bars_group__coll__graph.png" border="0" usemap="#a_q_c_p_bars_group_coll__map" alt="Collaboration graph"/></div>
<map name="a_q_c_p_bars_group_coll__map" id="a_q_c_p_bars_group_coll__map">
<area shape="rect" title="Groups multiple QCPBars together so they appear side by side." alt="" coords="19,753,131,779"/>
<area shape="rect" title=" " alt="" coords="487,5,558,31"/>
<area shape="poly" title=" " alt="" coords="474,24,346,30,191,43,120,52,61,64,21,77,11,85,8,92,8,664,13,691,27,715,62,751,58,755,23,718,8,693,3,665,3,91,7,81,19,73,60,59,119,47,191,38,346,25,473,18"/>
<area shape="rect" href="class_q_c_p_layerable.html" title="Base class for all drawable objects." alt="" coords="469,80,576,105"/>
<area shape="poly" title=" " alt="" coords="525,45,525,80,520,80,520,45"/>
<area shape="rect" href="class_q_c_p_layer.html" title="A layer that may contain objects, to control the rendering order." alt="" coords="716,753,799,779"/>
<area shape="poly" title=" " alt="" coords="572,16,661,19,763,30,809,39,847,52,873,69,880,79,883,91,883,665,880,682,874,697,851,723,822,742,793,756,791,751,820,737,848,719,869,694,875,680,877,664,877,92,875,81,869,72,844,56,808,44,762,35,661,25,572,22"/>
<area shape="rect" href="class_q_custom_plot.html" title="The central class of the library. This is the QWidget which displays the plot and interacts with the ..." alt="" coords="474,651,574,676"/>
<area shape="poly" title=" " alt="" coords="461,679,366,703,332,717,297,732,210,751,131,762,131,757,209,746,295,727,330,713,364,697,460,674"/>
<area shape="poly" title=" " alt="" coords="547,639,561,625,590,587,608,543,614,508,614,478,609,451,600,426,581,373,573,341,571,304,571,166,567,149,559,133,536,107,540,104,563,130,572,147,576,166,576,304,579,341,586,372,605,425,614,450,619,477,620,508,613,545,595,590,565,628,551,643"/>
<area shape="poly" title=" " alt="" coords="549,683,599,727,628,739,659,748,716,759,716,764,658,754,626,744,596,732,546,687"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html" title=" " alt="" coords="231,753,388,779"/>
<area shape="poly" title=" " alt="" coords="503,688,448,732,414,746,379,756,377,751,412,741,445,727,500,683"/>
<area shape="rect" title=" " alt="" coords="527,519,599,544"/>
<area shape="poly" title=" " alt="" coords="558,558,530,651,525,650,553,556"/>
<area shape="rect" href="class_q_c_p_axis.html" title="Manages a single axis inside a QCustomPlot." alt="" coords="185,519,260,544"/>
<area shape="poly" title=" " alt="" coords="274,544,305,554,326,566,336,582,339,597,341,612,351,625,371,635,402,643,474,654,473,660,401,648,370,640,348,629,337,614,334,598,331,584,322,570,303,559,272,549"/>
<area shape="rect" href="class_q_c_p_grid.html" title="Responsible for drawing the grid of a QCPAxis." alt="" coords="181,651,256,676"/>
<area shape="poly" title=" " alt="" coords="218,558,216,568,214,597,216,626,219,650,214,651,211,627,209,597,211,568,213,557"/>
<area shape="poly" title=" " alt="" coords="456,102,393,110,330,123,282,142,269,153,264,166,264,430,261,456,253,481,233,519,228,517,248,479,256,455,259,430,259,166,264,150,279,137,329,118,392,105,455,97"/>
<area shape="rect" href="class_q_c_p_layout_element.html" title="The abstract base class for all objects that form the layout system." alt="" coords="304,155,440,180"/>
<area shape="poly" title=" " alt="" coords="488,114,397,157,395,152,486,109"/>
<area shape="poly" title=" " alt="" coords="456,100,341,109,213,123,109,143,78,155,70,161,68,167,68,532,72,563,85,585,104,604,131,624,156,640,182,650,180,655,153,645,128,629,101,608,80,588,67,565,63,533,63,165,66,157,76,150,108,137,212,118,341,104,455,95"/>
<area shape="rect" href="class_q_c_p_selection_rect.html" title="Provides rect/rubber&#45;band data selection and range zoom interaction." alt="" coords="608,204,739,229"/>
<area shape="poly" title=" " alt="" coords="564,109,594,127,636,166,666,202,662,205,632,170,590,131,561,114"/>
<area shape="poly" title=" " alt="" coords="726,748,704,731,688,716,672,702,623,683,574,673,575,667,624,678,675,698,692,712,707,727,729,744"/>
<area shape="poly" title=" " alt="" coords="781,742,792,728,807,698,811,665,811,167,804,151,787,138,760,127,726,118,648,105,576,99,577,94,649,100,727,112,761,122,789,133,809,148,816,165,816,665,812,699,797,731,785,745"/>
<area shape="rect" href="class_q_c_p_axis_rect.html" title="Holds multiple axes and arranges them in a rectangular shape." alt="" coords="299,416,402,441"/>
<area shape="poly" title=" " alt="" coords="327,452,308,467,278,497,244,521,240,516,274,493,305,463,324,448"/>
<area shape="poly" title=" " alt="" coords="363,193,359,205,342,278,343,353,351,415,346,416,337,354,337,277,353,203,358,191"/>
<area shape="rect" href="class_q_c_p_layout.html" title="The abstract base class for layouts." alt="" coords="417,253,506,279"/>
<area shape="poly" title=" " alt="" coords="440,184,461,202,467,215,469,229,467,253,462,253,464,229,462,217,457,206,437,188"/>
<area shape="poly" title=" " alt="" coords="402,257,381,247,364,231,359,218,358,204,364,179,370,181,364,204,364,217,369,228,384,243,404,253"/>
<area shape="rect" href="class_q_c_p_layout_inset.html" title="A layout that places child elements aligned to the border or arbitrarily positioned." alt="" coords="353,328,471,353"/>
<area shape="poly" title=" " alt="" coords="448,292,422,329,418,326,443,289"/>
<area shape="rect" href="class_q_c_p_layout_grid.html" title="A layout that arranges child elements in a grid." alt="" coords="426,416,539,441"/>
<area shape="poly" title=" " alt="" coords="474,291,485,328,489,377,487,416,481,415,483,377,480,328,469,292"/>
<area shape="poly" title=" " alt="" coords="398,366,361,417,357,414,393,363"/>
<area shape="rect" href="class_q_c_p_range.html" title="Represents the range an axis is encompassing." alt="" coords="103,416,190,441"/>
<area shape="poly" title=" " alt="" coords="138,455,133,475,138,493,159,512,186,522,184,527,156,516,134,496,128,475,132,454"/>
<area shape="poly" title=" " alt="" coords="167,650,153,641,142,628,134,612,131,597,134,582,142,566,161,548,184,538,186,543,164,553,146,570,139,584,136,597,139,610,146,625,157,637,170,646"/>
<area shape="poly" title=" " alt="" coords="311,740,315,704,315,659,308,612,300,590,289,570,275,556,259,546,261,542,279,552,293,566,305,588,313,611,321,659,321,704,317,740"/>
<area shape="rect" href="class_q_c_p_line_ending.html" title="Handles the different ending decorations for line&#45;like items." alt="" coords="43,651,157,676"/>
<area shape="poly" title=" " alt="" coords="132,681,218,727,278,751,276,756,216,732,129,685"/>
<area shape="rect" href="class_q_c_p_legend.html" title="Manages a legend inside a QCustomPlot." alt="" coords="284,519,377,544"/>
<area shape="poly" title=" " alt="" coords="372,548,395,566,406,582,411,597,415,611,426,625,449,640,475,650,473,655,447,644,422,629,410,614,405,599,401,585,391,570,369,553"/>
<area shape="poly" title=" " alt="" coords="465,454,452,473,440,496,435,520,440,543,445,550,451,555,467,566,499,611,520,649,516,652,495,614,463,570,448,559,441,554,435,545,430,520,435,494,447,471,461,451"/>
<area shape="poly" title=" " alt="" coords="445,450,412,468,346,521,343,517,409,463,442,445"/>
<area shape="poly" title=" " alt="" coords="682,243,689,303,689,533,689,562,685,586,675,607,656,629,638,642,617,652,575,662,574,657,616,647,635,638,653,625,671,604,680,584,684,562,684,533,684,303,677,243"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-types" name="pub-types"></a>
Typy publiczne</h2></td></tr>
<tr class="memitem:a4c0521120a97e60bbca37677a37075b6"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#a4c0521120a97e60bbca37677a37075b6">SpacingType</a> { <a class="el" href="class_q_c_p_bars_group.html#a4c0521120a97e60bbca37677a37075b6ab53fa3efaf14867dd0f14d41d64e42ac">stAbsolute</a>
, <a class="el" href="class_q_c_p_bars_group.html#a4c0521120a97e60bbca37677a37075b6ae94b05c27bc985dcdd8b1e1b7f163d26">stAxisRectRatio</a>
, <a class="el" href="class_q_c_p_bars_group.html#a4c0521120a97e60bbca37677a37075b6ad369cee6287e0a86e8c2b643a3168c54">stPlotCoords</a>
 }</td></tr>
<tr class="separator:a4c0521120a97e60bbca37677a37075b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:aa4e043b9a22c6c5ea0f93740aca063e1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#aa4e043b9a22c6c5ea0f93740aca063e1">QCPBarsGroup</a> (<a class="el" href="class_q_custom_plot.html">QCustomPlot</a> *parentPlot)</td></tr>
<tr class="separator:aa4e043b9a22c6c5ea0f93740aca063e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb9475bcb6a5f18c8918e17d939d8dbd"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#adb9475bcb6a5f18c8918e17d939d8dbd">~QCPBarsGroup</a> ()</td></tr>
<tr class="separator:adb9475bcb6a5f18c8918e17d939d8dbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a894a77c45325aad2e742d936bc1f8aea"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_bars_group.html#a4c0521120a97e60bbca37677a37075b6">SpacingType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#a894a77c45325aad2e742d936bc1f8aea">spacingType</a> () const</td></tr>
<tr class="separator:a894a77c45325aad2e742d936bc1f8aea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a314d09aeb2ad209518b9183ca7ffe662"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#a314d09aeb2ad209518b9183ca7ffe662">spacing</a> () const</td></tr>
<tr class="separator:a314d09aeb2ad209518b9183ca7ffe662"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c7e2d61b10594a4555b615e1fcaf49e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#a2c7e2d61b10594a4555b615e1fcaf49e">setSpacingType</a> (<a class="el" href="class_q_c_p_bars_group.html#a4c0521120a97e60bbca37677a37075b6">SpacingType</a> <a class="el" href="class_q_c_p_bars_group.html#a894a77c45325aad2e742d936bc1f8aea">spacingType</a>)</td></tr>
<tr class="separator:a2c7e2d61b10594a4555b615e1fcaf49e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa553d327479d72a0c3dafcc724a190e2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#aa553d327479d72a0c3dafcc724a190e2">setSpacing</a> (double <a class="el" href="class_q_c_p_bars_group.html#a314d09aeb2ad209518b9183ca7ffe662">spacing</a>)</td></tr>
<tr class="separator:aa553d327479d72a0c3dafcc724a190e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e4f4e86abbec6a9342f204ef82abef8"><td class="memItemLeft" align="right" valign="top">QList&lt; <a class="el" href="class_q_c_p_bars.html">QCPBars</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#a6e4f4e86abbec6a9342f204ef82abef8">bars</a> () const</td></tr>
<tr class="separator:a6e4f4e86abbec6a9342f204ef82abef8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0754d659a020aa7fddfe81e657ce2d92"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_bars.html">QCPBars</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#a0754d659a020aa7fddfe81e657ce2d92">bars</a> (int index) const</td></tr>
<tr class="separator:a0754d659a020aa7fddfe81e657ce2d92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3780ec77919cb00840207ec7a0f00dd5"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#a3780ec77919cb00840207ec7a0f00dd5">size</a> () const</td></tr>
<tr class="separator:a3780ec77919cb00840207ec7a0f00dd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac959e79e852e8ef9aea6e0449ad000a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#aac959e79e852e8ef9aea6e0449ad000a">isEmpty</a> () const</td></tr>
<tr class="separator:aac959e79e852e8ef9aea6e0449ad000a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ddf23928c6cd89530bd34ab7ba7b177"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#a3ddf23928c6cd89530bd34ab7ba7b177">clear</a> ()</td></tr>
<tr class="separator:a3ddf23928c6cd89530bd34ab7ba7b177"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae26da07a23553052a178fb3fae90d0dc"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#ae26da07a23553052a178fb3fae90d0dc">contains</a> (<a class="el" href="class_q_c_p_bars.html">QCPBars</a> *<a class="el" href="class_q_c_p_bars_group.html#a6e4f4e86abbec6a9342f204ef82abef8">bars</a>) const</td></tr>
<tr class="separator:ae26da07a23553052a178fb3fae90d0dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a809ed63cc4ff7cd5b0b8c96b470163d3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#a809ed63cc4ff7cd5b0b8c96b470163d3">append</a> (<a class="el" href="class_q_c_p_bars.html">QCPBars</a> *<a class="el" href="class_q_c_p_bars_group.html#a6e4f4e86abbec6a9342f204ef82abef8">bars</a>)</td></tr>
<tr class="separator:a809ed63cc4ff7cd5b0b8c96b470163d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a309a5f7233db189f3ea9c2d04ece6c13"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#a309a5f7233db189f3ea9c2d04ece6c13">insert</a> (int i, <a class="el" href="class_q_c_p_bars.html">QCPBars</a> *<a class="el" href="class_q_c_p_bars_group.html#a6e4f4e86abbec6a9342f204ef82abef8">bars</a>)</td></tr>
<tr class="separator:a309a5f7233db189f3ea9c2d04ece6c13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a215e28a5944f1159013a0e19169220e7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#a215e28a5944f1159013a0e19169220e7">remove</a> (<a class="el" href="class_q_c_p_bars.html">QCPBars</a> *<a class="el" href="class_q_c_p_bars_group.html#a6e4f4e86abbec6a9342f204ef82abef8">bars</a>)</td></tr>
<tr class="separator:a215e28a5944f1159013a0e19169220e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Metody chronione</h2></td></tr>
<tr class="memitem:a7b00514f19ad58d0bb3fd5246a67fae2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#a7b00514f19ad58d0bb3fd5246a67fae2">registerBars</a> (<a class="el" href="class_q_c_p_bars.html">QCPBars</a> *<a class="el" href="class_q_c_p_bars_group.html#a6e4f4e86abbec6a9342f204ef82abef8">bars</a>)</td></tr>
<tr class="separator:a7b00514f19ad58d0bb3fd5246a67fae2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7073cdd7b1a40c6cb4b5f908145f8c4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#ac7073cdd7b1a40c6cb4b5f908145f8c4">unregisterBars</a> (<a class="el" href="class_q_c_p_bars.html">QCPBars</a> *<a class="el" href="class_q_c_p_bars_group.html#a6e4f4e86abbec6a9342f204ef82abef8">bars</a>)</td></tr>
<tr class="separator:ac7073cdd7b1a40c6cb4b5f908145f8c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e2ca6002e7bab49670144d048a2bcc9"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#a8e2ca6002e7bab49670144d048a2bcc9">keyPixelOffset</a> (const <a class="el" href="class_q_c_p_bars.html">QCPBars</a> *<a class="el" href="class_q_c_p_bars_group.html#a6e4f4e86abbec6a9342f204ef82abef8">bars</a>, double keyCoord)</td></tr>
<tr class="separator:a8e2ca6002e7bab49670144d048a2bcc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0beccd41bc3841a4c5b284823bc7d2de"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#a0beccd41bc3841a4c5b284823bc7d2de">getPixelSpacing</a> (const <a class="el" href="class_q_c_p_bars.html">QCPBars</a> *<a class="el" href="class_q_c_p_bars_group.html#a6e4f4e86abbec6a9342f204ef82abef8">bars</a>, double keyCoord)</td></tr>
<tr class="separator:a0beccd41bc3841a4c5b284823bc7d2de"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Atrybuty chronione</h2></td></tr>
<tr class="memitem:a973d408cfbf88db95115aec71877f9e7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_custom_plot.html">QCustomPlot</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#a973d408cfbf88db95115aec71877f9e7">mParentPlot</a></td></tr>
<tr class="separator:a973d408cfbf88db95115aec71877f9e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6794ee1a9c81864d627bff6a4b2d64ec"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_bars_group.html#a4c0521120a97e60bbca37677a37075b6">SpacingType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#a6794ee1a9c81864d627bff6a4b2d64ec">mSpacingType</a></td></tr>
<tr class="separator:a6794ee1a9c81864d627bff6a4b2d64ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56471d7f548ca6141b7a5bf9629f7ece"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#a56471d7f548ca6141b7a5bf9629f7ece">mSpacing</a></td></tr>
<tr class="separator:a56471d7f548ca6141b7a5bf9629f7ece"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affdb1e9233c277ff5a4c0a1121cf1fc0"><td class="memItemLeft" align="right" valign="top">QList&lt; <a class="el" href="class_q_c_p_bars.html">QCPBars</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#affdb1e9233c277ff5a4c0a1121cf1fc0">mBars</a></td></tr>
<tr class="separator:affdb1e9233c277ff5a4c0a1121cf1fc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="friends" name="friends"></a>
Przyjaciele</h2></td></tr>
<tr class="memitem:a721b87c7cdb8e83a90d77fc8a22e7195"><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_group.html#a721b87c7cdb8e83a90d77fc8a22e7195">QCPBars</a></td></tr>
<tr class="separator:a721b87c7cdb8e83a90d77fc8a22e7195"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><div class="image">
<img src="QCPBarsGroup.png" alt=""/>
</div>
<p>When showing multiple <a class="el" href="class_q_c_p_bars.html" title="A plottable representing a bar chart in a plot.">QCPBars</a> in one plot which have bars at identical keys, it may be desirable to have them appearing next to each other at each key. This is what adding the respective <a class="el" href="class_q_c_p_bars.html" title="A plottable representing a bar chart in a plot.">QCPBars</a> plottables to a <a class="el" href="class_q_c_p_bars_group.html" title="Groups multiple QCPBars together so they appear side by side.">QCPBarsGroup</a> achieves. (An alternative approach is to stack them on top of each other, see <a class="el" href="class_q_c_p_bars.html#ac22e00a6a41509538c21b04f0a57318c">QCPBars::moveAbove</a>.)</p>
<h1><a class="anchor" id="qcpbarsgroup-usage"></a>
Usage</h1>
<p>To add a <a class="el" href="class_q_c_p_bars.html" title="A plottable representing a bar chart in a plot.">QCPBars</a> plottable to the group, create a new group and then add the respective bars intances: </p><div class="fragment"></div><!-- fragment --><p> Alternatively to appending to the group like shown above, you can also set the group on the <a class="el" href="class_q_c_p_bars.html" title="A plottable representing a bar chart in a plot.">QCPBars</a> plottable via <a class="el" href="class_q_c_p_bars.html#aedd1709061f0b307c47ddb45e172ef9a">QCPBars::setBarsGroup</a>.</p>
<p>The spacing between the bars can be configured via <a class="el" href="class_q_c_p_bars_group.html#a2c7e2d61b10594a4555b615e1fcaf49e">setSpacingType</a> and <a class="el" href="class_q_c_p_bars_group.html#aa553d327479d72a0c3dafcc724a190e2">setSpacing</a>. The bars in this group appear in the plot in the order they were appended. To insert a bars plottable at a certain index position, or to reposition a bars plottable which is already in the group, use <a class="el" href="class_q_c_p_bars_group.html#a309a5f7233db189f3ea9c2d04ece6c13">insert</a>.</p>
<p>To remove specific bars from the group, use either <a class="el" href="class_q_c_p_bars_group.html#a215e28a5944f1159013a0e19169220e7">remove</a> or call <a class="el" href="class_q_c_p_bars.html#aedd1709061f0b307c47ddb45e172ef9a">QCPBars::setBarsGroup(0)</a> on the respective bars plottable.</p>
<p>To clear the entire group, call <a class="el" href="class_q_c_p_bars_group.html#a3ddf23928c6cd89530bd34ab7ba7b177">clear</a>, or simply delete the group.</p>
<h1><a class="anchor" id="qcpbarsgroup-example"></a>
Example</h1>
<p>The image above is generated with the following code: </p><div class="fragment"></div><!-- fragment --> 
<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05717">5717</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja składowych wyliczanych</h2>
<a id="a4c0521120a97e60bbca37677a37075b6" name="a4c0521120a97e60bbca37677a37075b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c0521120a97e60bbca37677a37075b6">&#9670;&#160;</a></span>SpacingType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="class_q_c_p_bars_group.html#a4c0521120a97e60bbca37677a37075b6">QCPBarsGroup::SpacingType</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Defines the ways the spacing between bars in the group can be specified. Thus it defines what the number passed to <a class="el" href="class_q_c_p_bars_group.html#aa553d327479d72a0c3dafcc724a190e2">setSpacing</a> actually means.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_bars_group.html#a2c7e2d61b10594a4555b615e1fcaf49e">setSpacingType</a>, <a class="el" href="class_q_c_p_bars_group.html#aa553d327479d72a0c3dafcc724a190e2">setSpacing</a> </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Wartości wyliczeń</th></tr><tr><td class="fieldname"><a id="a4c0521120a97e60bbca37677a37075b6ab53fa3efaf14867dd0f14d41d64e42ac" name="a4c0521120a97e60bbca37677a37075b6ab53fa3efaf14867dd0f14d41d64e42ac"></a>stAbsolute&#160;</td><td class="fielddoc"><p>Bar spacing is in absolute pixels. </p>
</td></tr>
<tr><td class="fieldname"><a id="a4c0521120a97e60bbca37677a37075b6ae94b05c27bc985dcdd8b1e1b7f163d26" name="a4c0521120a97e60bbca37677a37075b6ae94b05c27bc985dcdd8b1e1b7f163d26"></a>stAxisRectRatio&#160;</td><td class="fielddoc"><p>Bar spacing is given by a fraction of the axis rect size. </p>
</td></tr>
<tr><td class="fieldname"><a id="a4c0521120a97e60bbca37677a37075b6ad369cee6287e0a86e8c2b643a3168c54" name="a4c0521120a97e60bbca37677a37075b6ad369cee6287e0a86e8c2b643a3168c54"></a>stPlotCoords&#160;</td><td class="fielddoc"><p>Bar spacing is in key coordinates and thus scales with the key axis range. </p>
</td></tr>
</table>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05731">5731</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="aa4e043b9a22c6c5ea0f93740aca063e1" name="aa4e043b9a22c6c5ea0f93740aca063e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4e043b9a22c6c5ea0f93740aca063e1">&#9670;&#160;</a></span>QCPBarsGroup()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QCPBarsGroup::QCPBarsGroup </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_custom_plot.html">QCustomPlot</a> *&#160;</td>
          <td class="paramname"><em>parentPlot</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Constructs a new bars group for the specified <a class="el" href="class_q_custom_plot.html" title="The central class of the library. This is the QWidget which displays the plot and interacts with the ...">QCustomPlot</a> instance. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l24028">24028</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="adb9475bcb6a5f18c8918e17d939d8dbd" name="adb9475bcb6a5f18c8918e17d939d8dbd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb9475bcb6a5f18c8918e17d939d8dbd">&#9670;&#160;</a></span>~QCPBarsGroup()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QCPBarsGroup::~QCPBarsGroup </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l24036">24036</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_bars_group_adb9475bcb6a5f18c8918e17d939d8dbd_cgraph.png" border="0" usemap="#aclass_q_c_p_bars_group_adb9475bcb6a5f18c8918e17d939d8dbd_cgraph" alt=""/></div>
<map name="aclass_q_c_p_bars_group_adb9475bcb6a5f18c8918e17d939d8dbd_cgraph" id="aclass_q_c_p_bars_group_adb9475bcb6a5f18c8918e17d939d8dbd_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,220,31"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a3ddf23928c6cd89530bd34ab7ba7b177" title=" " alt="" coords="268,5,415,31"/>
<area shape="poly" title=" " alt="" coords="220,15,254,15,254,21,220,21"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a6e4f4e86abbec6a9342f204ef82abef8" title=" " alt="" coords="463,5,605,31"/>
<area shape="poly" title=" " alt="" coords="415,15,449,15,449,21,415,21"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a894a77c45325aad2e742d936bc1f8aea" name="a894a77c45325aad2e742d936bc1f8aea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a894a77c45325aad2e742d936bc1f8aea">&#9670;&#160;</a></span>spacingType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_bars_group.html#a4c0521120a97e60bbca37677a37075b6">SpacingType</a> QCPBarsGroup::spacingType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05741">5741</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_bars_group_a894a77c45325aad2e742d936bc1f8aea_icgraph.png" border="0" usemap="#aclass_q_c_p_bars_group_a894a77c45325aad2e742d936bc1f8aea_icgraph" alt=""/></div>
<map name="aclass_q_c_p_bars_group_a894a77c45325aad2e742d936bc1f8aea_icgraph" id="aclass_q_c_p_bars_group_a894a77c45325aad2e742d936bc1f8aea_icgraph">
<area shape="rect" title=" " alt="" coords="264,5,455,31"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a2c7e2d61b10594a4555b615e1fcaf49e" title=" " alt="" coords="5,5,216,31"/>
<area shape="poly" title=" " alt="" coords="250,21,216,21,216,15,250,15"/>
</map>
</div>

</div>
</div>
<a id="a314d09aeb2ad209518b9183ca7ffe662" name="a314d09aeb2ad209518b9183ca7ffe662"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a314d09aeb2ad209518b9183ca7ffe662">&#9670;&#160;</a></span>spacing()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPBarsGroup::spacing </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05742">5742</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_bars_group_a314d09aeb2ad209518b9183ca7ffe662_icgraph.png" border="0" usemap="#aclass_q_c_p_bars_group_a314d09aeb2ad209518b9183ca7ffe662_icgraph" alt=""/></div>
<map name="aclass_q_c_p_bars_group_a314d09aeb2ad209518b9183ca7ffe662_icgraph" id="aclass_q_c_p_bars_group_a314d09aeb2ad209518b9183ca7ffe662_icgraph">
<area shape="rect" title=" " alt="" coords="236,5,399,31"/>
<area shape="rect" href="class_q_c_p_bars_group.html#aa553d327479d72a0c3dafcc724a190e2" title=" " alt="" coords="5,5,188,31"/>
<area shape="poly" title=" " alt="" coords="222,21,188,21,188,15,222,15"/>
</map>
</div>

</div>
</div>
<a id="a2c7e2d61b10594a4555b615e1fcaf49e" name="a2c7e2d61b10594a4555b615e1fcaf49e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c7e2d61b10594a4555b615e1fcaf49e">&#9670;&#160;</a></span>setSpacingType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPBarsGroup::setSpacingType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_bars_group.html#a4c0521120a97e60bbca37677a37075b6">SpacingType</a>&#160;</td>
          <td class="paramname"><em>spacingType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets how the spacing between adjacent bars is interpreted. See <a class="el" href="class_q_c_p_bars_group.html#a4c0521120a97e60bbca37677a37075b6">SpacingType</a>.</p>
<p>The actual spacing can then be specified with <a class="el" href="class_q_c_p_bars_group.html#aa553d327479d72a0c3dafcc724a190e2">setSpacing</a>.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_bars_group.html#aa553d327479d72a0c3dafcc724a190e2">setSpacing</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l24048">24048</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_bars_group_a2c7e2d61b10594a4555b615e1fcaf49e_cgraph.png" border="0" usemap="#aclass_q_c_p_bars_group_a2c7e2d61b10594a4555b615e1fcaf49e_cgraph" alt=""/></div>
<map name="aclass_q_c_p_bars_group_a2c7e2d61b10594a4555b615e1fcaf49e_cgraph" id="aclass_q_c_p_bars_group_a2c7e2d61b10594a4555b615e1fcaf49e_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,216,31"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a894a77c45325aad2e742d936bc1f8aea" title=" " alt="" coords="264,5,455,31"/>
<area shape="poly" title=" " alt="" coords="216,15,250,15,250,21,216,21"/>
</map>
</div>

</div>
</div>
<a id="aa553d327479d72a0c3dafcc724a190e2" name="aa553d327479d72a0c3dafcc724a190e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa553d327479d72a0c3dafcc724a190e2">&#9670;&#160;</a></span>setSpacing()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPBarsGroup::setSpacing </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>spacing</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the spacing between adjacent bars. What the number passed as <em>spacing</em> actually means, is defined by the current <a class="el" href="class_q_c_p_bars_group.html#a4c0521120a97e60bbca37677a37075b6">SpacingType</a>, which can be set with <a class="el" href="class_q_c_p_bars_group.html#a2c7e2d61b10594a4555b615e1fcaf49e">setSpacingType</a>.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_bars_group.html#a2c7e2d61b10594a4555b615e1fcaf49e">setSpacingType</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l24059">24059</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_bars_group_aa553d327479d72a0c3dafcc724a190e2_cgraph.png" border="0" usemap="#aclass_q_c_p_bars_group_aa553d327479d72a0c3dafcc724a190e2_cgraph" alt=""/></div>
<map name="aclass_q_c_p_bars_group_aa553d327479d72a0c3dafcc724a190e2_cgraph" id="aclass_q_c_p_bars_group_aa553d327479d72a0c3dafcc724a190e2_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,188,31"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a314d09aeb2ad209518b9183ca7ffe662" title=" " alt="" coords="236,5,399,31"/>
<area shape="poly" title=" " alt="" coords="189,15,222,15,222,21,189,21"/>
</map>
</div>

</div>
</div>
<a id="a6e4f4e86abbec6a9342f204ef82abef8" name="a6e4f4e86abbec6a9342f204ef82abef8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e4f4e86abbec6a9342f204ef82abef8">&#9670;&#160;</a></span>bars() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QList&lt; <a class="el" href="class_q_c_p_bars.html">QCPBars</a> * &gt; QCPBarsGroup::bars </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns all bars currently in this group.</p>
<dl class="section see"><dt>Zobacz również</dt><dd>bars(int index) </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05749">5749</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_bars_group_a6e4f4e86abbec6a9342f204ef82abef8_icgraph.png" border="0" usemap="#aclass_q_c_p_bars_group_a6e4f4e86abbec6a9342f204ef82abef8_icgraph" alt=""/></div>
<map name="aclass_q_c_p_bars_group_a6e4f4e86abbec6a9342f204ef82abef8_icgraph" id="aclass_q_c_p_bars_group_a6e4f4e86abbec6a9342f204ef82abef8_icgraph">
<area shape="rect" title=" " alt="" coords="1235,181,1377,207"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a809ed63cc4ff7cd5b0b8c96b470163d3" title=" " alt="" coords="1001,5,1161,31"/>
<area shape="poly" title=" " alt="" coords="1290,170,1249,106,1220,72,1185,44,1161,33,1163,28,1188,40,1224,69,1253,103,1295,167"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a3ddf23928c6cd89530bd34ab7ba7b177" title=" " alt="" coords="1008,55,1155,80"/>
<area shape="poly" title=" " alt="" coords="1280,174,1238,137,1185,102,1137,83,1139,78,1188,97,1241,133,1284,170"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a0beccd41bc3841a4c5b284823bc7d2de" title=" " alt="" coords="976,156,1187,181"/>
<area shape="poly" title=" " alt="" coords="1221,187,1187,183,1187,178,1221,182"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a8e2ca6002e7bab49670144d048a2bcc9" title=" " alt="" coords="720,131,921,156"/>
<area shape="poly" title=" " alt="" coords="1270,177,1230,160,1186,146,1118,136,1049,132,921,135,921,130,1049,126,1119,131,1187,141,1232,155,1272,173"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a309a5f7233db189f3ea9c2d04ece6c13" title=" " alt="" coords="1006,205,1157,231"/>
<area shape="poly" title=" " alt="" coords="1221,206,1157,213,1157,207,1221,200"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a7b00514f19ad58d0bb3fd5246a67fae2" title=" " alt="" coords="987,255,1175,280"/>
<area shape="poly" title=" " alt="" coords="1265,215,1188,245,1142,257,1141,252,1186,239,1263,210"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a215e28a5944f1159013a0e19169220e7" title=" " alt="" coords="1001,353,1162,379"/>
<area shape="poly" title=" " alt="" coords="1294,220,1253,283,1223,316,1188,344,1163,356,1161,351,1185,340,1220,312,1249,279,1290,217"/>
<area shape="rect" href="class_q_c_p_bars_group.html#ac7073cdd7b1a40c6cb4b5f908145f8c4" title=" " alt="" coords="980,304,1183,329"/>
<area shape="poly" title=" " alt="" coords="1286,219,1243,258,1216,278,1188,295,1158,306,1156,301,1186,290,1213,274,1240,254,1282,215"/>
<area shape="rect" href="class_q_c_p_bars_group.html#adb9475bcb6a5f18c8918e17d939d8dbd" title=" " alt="" coords="713,55,928,80"/>
<area shape="poly" title=" " alt="" coords="994,70,928,70,928,65,994,65"/>
<area shape="poly" title=" " alt="" coords="962,160,921,156,922,150,963,154"/>
<area shape="rect" href="class_q_c_p_bars.html#a55cdaf565cd3384158d1f7f89533bc2d" title=" " alt="" coords="483,81,665,107"/>
<area shape="poly" title=" " alt="" coords="743,131,638,109,639,104,744,125"/>
<area shape="rect" href="class_q_c_p_bars.html#a01b87e38e5d5089d214646d2af7896ea" title=" " alt="" coords="500,131,648,156"/>
<area shape="poly" title=" " alt="" coords="706,146,648,146,648,141,706,141"/>
<area shape="rect" href="class_q_c_p_bars.html#ac5a3854774d9d9cd129b1eae1426de2d" title=" " alt="" coords="494,180,654,205"/>
<area shape="poly" title=" " alt="" coords="744,161,639,183,638,177,743,156"/>
<area shape="rect" href="class_q_c_p_bars.html#aa267c20650d55084c3f47cb2f8fac9dc" title=" " alt="" coords="35,80,146,105"/>
<area shape="poly" title=" " alt="" coords="506,129,482,120,458,107,434,95,357,83,279,79,207,82,147,87,146,82,206,76,279,74,358,77,435,90,460,102,484,116,508,124"/>
<area shape="rect" href="class_q_c_p_bars.html#ac8b6b514a665a7bff4fb080413ba996a" title=" " alt="" coords="224,105,435,131"/>
<area shape="poly" title=" " alt="" coords="486,137,435,132,435,126,486,132"/>
<area shape="rect" href="class_q_c_p_bars.html#ae490d8589b7e5f5d7e2e5ee88ce3e6c2" title=" " alt="" coords="19,143,163,168"/>
<area shape="poly" title=" " alt="" coords="486,148,163,156,163,151,486,143"/>
<area shape="rect" href="class_q_c_p_bars.html#ab03bb6125c3e983b89d694f75ce6b3d5" title=" " alt="" coords="5,192,176,217"/>
<area shape="poly" title=" " alt="" coords="486,157,177,197,176,191,486,152"/>
<area shape="poly" title=" " alt="" coords="210,108,146,101,147,96,210,103"/>
<area shape="poly" title=" " alt="" coords="234,136,163,147,162,142,233,130"/>
<area shape="poly" title=" " alt="" coords="287,139,177,182,138,194,136,189,175,177,285,134"/>
<area shape="rect" href="class_q_c_p_bars.html#aedd1709061f0b307c47ddb45e172ef9a" title=" " alt="" coords="739,279,902,304"/>
<area shape="poly" title=" " alt="" coords="974,280,902,287,902,281,973,275"/>
<area shape="rect" href="class_q_c_p_bars.html#a7cfc40a41ce0a2bce71cfb34f30886ac" title=" " alt="" coords="501,279,647,304"/>
<area shape="poly" title=" " alt="" coords="726,294,647,294,647,289,726,289"/>
<area shape="poly" title=" " alt="" coords="966,308,902,302,902,297,967,303"/>
</map>
</div>

</div>
</div>
<a id="a0754d659a020aa7fddfe81e657ce2d92" name="a0754d659a020aa7fddfe81e657ce2d92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0754d659a020aa7fddfe81e657ce2d92">&#9670;&#160;</a></span>bars() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_bars.html">QCPBars</a> * QCPBarsGroup::bars </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns the <a class="el" href="class_q_c_p_bars.html" title="A plottable representing a bar chart in a plot.">QCPBars</a> instance with the specified <em>index</em> in this group. If no such <a class="el" href="class_q_c_p_bars.html" title="A plottable representing a bar chart in a plot.">QCPBars</a> exists, returns <code>nullptr</code>.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_bars_group.html#a6e4f4e86abbec6a9342f204ef82abef8">bars()</a>, <a class="el" href="class_q_c_p_bars_group.html#a3780ec77919cb00840207ec7a0f00dd5">size</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l24070">24070</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a3780ec77919cb00840207ec7a0f00dd5" name="a3780ec77919cb00840207ec7a0f00dd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3780ec77919cb00840207ec7a0f00dd5">&#9670;&#160;</a></span>size()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPBarsGroup::size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the number of <a class="el" href="class_q_c_p_bars.html" title="A plottable representing a bar chart in a plot.">QCPBars</a> plottables that are part of this group. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05751">5751</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="aac959e79e852e8ef9aea6e0449ad000a" name="aac959e79e852e8ef9aea6e0449ad000a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac959e79e852e8ef9aea6e0449ad000a">&#9670;&#160;</a></span>isEmpty()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool QCPBarsGroup::isEmpty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns whether this bars group is empty.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_bars_group.html#a3780ec77919cb00840207ec7a0f00dd5">size</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05752">5752</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a3ddf23928c6cd89530bd34ab7ba7b177" name="a3ddf23928c6cd89530bd34ab7ba7b177"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ddf23928c6cd89530bd34ab7ba7b177">&#9670;&#160;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPBarsGroup::clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Removes all <a class="el" href="class_q_c_p_bars.html" title="A plottable representing a bar chart in a plot.">QCPBars</a> plottables from this group.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_bars_group.html#aac959e79e852e8ef9aea6e0449ad000a">isEmpty</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l24087">24087</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_bars_group_a3ddf23928c6cd89530bd34ab7ba7b177_cgraph.png" border="0" usemap="#aclass_q_c_p_bars_group_a3ddf23928c6cd89530bd34ab7ba7b177_cgraph" alt=""/></div>
<map name="aclass_q_c_p_bars_group_a3ddf23928c6cd89530bd34ab7ba7b177_cgraph" id="aclass_q_c_p_bars_group_a3ddf23928c6cd89530bd34ab7ba7b177_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,152,31"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a6e4f4e86abbec6a9342f204ef82abef8" title=" " alt="" coords="200,5,343,31"/>
<area shape="poly" title=" " alt="" coords="152,15,186,15,186,21,152,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_bars_group_a3ddf23928c6cd89530bd34ab7ba7b177_icgraph.png" border="0" usemap="#aclass_q_c_p_bars_group_a3ddf23928c6cd89530bd34ab7ba7b177_icgraph" alt=""/></div>
<map name="aclass_q_c_p_bars_group_a3ddf23928c6cd89530bd34ab7ba7b177_icgraph" id="aclass_q_c_p_bars_group_a3ddf23928c6cd89530bd34ab7ba7b177_icgraph">
<area shape="rect" title=" " alt="" coords="268,5,415,31"/>
<area shape="rect" href="class_q_c_p_bars_group.html#adb9475bcb6a5f18c8918e17d939d8dbd" title=" " alt="" coords="5,5,220,31"/>
<area shape="poly" title=" " alt="" coords="254,21,220,21,220,15,254,15"/>
</map>
</div>

</div>
</div>
<a id="ae26da07a23553052a178fb3fae90d0dc" name="ae26da07a23553052a178fb3fae90d0dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae26da07a23553052a178fb3fae90d0dc">&#9670;&#160;</a></span>contains()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool QCPBarsGroup::contains </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_bars.html">QCPBars</a> *&#160;</td>
          <td class="paramname"><em>bars</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns whether the specified <em>bars</em> plottable is part of this group. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05754">5754</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a809ed63cc4ff7cd5b0b8c96b470163d3" name="a809ed63cc4ff7cd5b0b8c96b470163d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a809ed63cc4ff7cd5b0b8c96b470163d3">&#9670;&#160;</a></span>append()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPBarsGroup::append </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_bars.html">QCPBars</a> *&#160;</td>
          <td class="paramname"><em>bars</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Adds the specified <em>bars</em> plottable to this group. Alternatively, you can also use <a class="el" href="class_q_c_p_bars.html#aedd1709061f0b307c47ddb45e172ef9a">QCPBars::setBarsGroup</a> on the <em>bars</em> instance.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_bars_group.html#a309a5f7233db189f3ea9c2d04ece6c13">insert</a>, <a class="el" href="class_q_c_p_bars_group.html#a215e28a5944f1159013a0e19169220e7">remove</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l24100">24100</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_bars_group_a809ed63cc4ff7cd5b0b8c96b470163d3_cgraph.png" border="0" usemap="#aclass_q_c_p_bars_group_a809ed63cc4ff7cd5b0b8c96b470163d3_cgraph" alt=""/></div>
<map name="aclass_q_c_p_bars_group_a809ed63cc4ff7cd5b0b8c96b470163d3_cgraph" id="aclass_q_c_p_bars_group_a809ed63cc4ff7cd5b0b8c96b470163d3_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,165,31"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a6e4f4e86abbec6a9342f204ef82abef8" title=" " alt="" coords="213,5,356,31"/>
<area shape="poly" title=" " alt="" coords="166,15,199,15,199,21,166,21"/>
</map>
</div>

</div>
</div>
<a id="a309a5f7233db189f3ea9c2d04ece6c13" name="a309a5f7233db189f3ea9c2d04ece6c13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a309a5f7233db189f3ea9c2d04ece6c13">&#9670;&#160;</a></span>insert()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPBarsGroup::insert </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_q_c_p_bars.html">QCPBars</a> *&#160;</td>
          <td class="paramname"><em>bars</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Inserts the specified <em>bars</em> plottable into this group at the specified index position <em>i</em>. This gives you full control over the ordering of the bars.</p>
<p><em>bars</em> may already be part of this group. In that case, <em>bars</em> is just moved to the new index position.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_bars_group.html#a809ed63cc4ff7cd5b0b8c96b470163d3">append</a>, <a class="el" href="class_q_c_p_bars_group.html#a215e28a5944f1159013a0e19169220e7">remove</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l24123">24123</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_bars_group_a309a5f7233db189f3ea9c2d04ece6c13_cgraph.png" border="0" usemap="#aclass_q_c_p_bars_group_a309a5f7233db189f3ea9c2d04ece6c13_cgraph" alt=""/></div>
<map name="aclass_q_c_p_bars_group_a309a5f7233db189f3ea9c2d04ece6c13_cgraph" id="aclass_q_c_p_bars_group_a309a5f7233db189f3ea9c2d04ece6c13_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,156,31"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a6e4f4e86abbec6a9342f204ef82abef8" title=" " alt="" coords="204,5,347,31"/>
<area shape="poly" title=" " alt="" coords="156,15,190,15,190,21,156,21"/>
</map>
</div>

</div>
</div>
<a id="a215e28a5944f1159013a0e19169220e7" name="a215e28a5944f1159013a0e19169220e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a215e28a5944f1159013a0e19169220e7">&#9670;&#160;</a></span>remove()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPBarsGroup::remove </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_bars.html">QCPBars</a> *&#160;</td>
          <td class="paramname"><em>bars</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Removes the specified <em>bars</em> plottable from this group.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_bars_group.html#ae26da07a23553052a178fb3fae90d0dc">contains</a>, <a class="el" href="class_q_c_p_bars_group.html#a3ddf23928c6cd89530bd34ab7ba7b177">clear</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l24143">24143</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_bars_group_a215e28a5944f1159013a0e19169220e7_cgraph.png" border="0" usemap="#aclass_q_c_p_bars_group_a215e28a5944f1159013a0e19169220e7_cgraph" alt=""/></div>
<map name="aclass_q_c_p_bars_group_a215e28a5944f1159013a0e19169220e7_cgraph" id="aclass_q_c_p_bars_group_a215e28a5944f1159013a0e19169220e7_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,167,31"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a6e4f4e86abbec6a9342f204ef82abef8" title=" " alt="" coords="215,5,357,31"/>
<area shape="poly" title=" " alt="" coords="167,15,201,15,201,21,167,21"/>
</map>
</div>

</div>
</div>
<a id="a7b00514f19ad58d0bb3fd5246a67fae2" name="a7b00514f19ad58d0bb3fd5246a67fae2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b00514f19ad58d0bb3fd5246a67fae2">&#9670;&#160;</a></span>registerBars()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPBarsGroup::registerBars </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_bars.html">QCPBars</a> *&#160;</td>
          <td class="paramname"><em>bars</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l24164">24164</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_bars_group_a7b00514f19ad58d0bb3fd5246a67fae2_cgraph.png" border="0" usemap="#aclass_q_c_p_bars_group_a7b00514f19ad58d0bb3fd5246a67fae2_cgraph" alt=""/></div>
<map name="aclass_q_c_p_bars_group_a7b00514f19ad58d0bb3fd5246a67fae2_cgraph" id="aclass_q_c_p_bars_group_a7b00514f19ad58d0bb3fd5246a67fae2_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,193,31"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a6e4f4e86abbec6a9342f204ef82abef8" title=" " alt="" coords="241,5,384,31"/>
<area shape="poly" title=" " alt="" coords="194,15,228,15,228,21,194,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_bars_group_a7b00514f19ad58d0bb3fd5246a67fae2_icgraph.png" border="0" usemap="#aclass_q_c_p_bars_group_a7b00514f19ad58d0bb3fd5246a67fae2_icgraph" alt=""/></div>
<map name="aclass_q_c_p_bars_group_a7b00514f19ad58d0bb3fd5246a67fae2_icgraph" id="aclass_q_c_p_bars_group_a7b00514f19ad58d0bb3fd5246a67fae2_icgraph">
<area shape="rect" title=" " alt="" coords="409,5,597,31"/>
<area shape="rect" href="class_q_c_p_bars.html#aedd1709061f0b307c47ddb45e172ef9a" title=" " alt="" coords="199,5,361,31"/>
<area shape="poly" title=" " alt="" coords="396,21,362,21,362,15,396,15"/>
<area shape="rect" href="class_q_c_p_bars.html#a7cfc40a41ce0a2bce71cfb34f30886ac" title=" " alt="" coords="5,5,151,31"/>
<area shape="poly" title=" " alt="" coords="185,21,151,21,151,15,185,15"/>
</map>
</div>

</div>
</div>
<a id="ac7073cdd7b1a40c6cb4b5f908145f8c4" name="ac7073cdd7b1a40c6cb4b5f908145f8c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7073cdd7b1a40c6cb4b5f908145f8c4">&#9670;&#160;</a></span>unregisterBars()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPBarsGroup::unregisterBars </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_bars.html">QCPBars</a> *&#160;</td>
          <td class="paramname"><em>bars</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l24177">24177</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_bars_group_ac7073cdd7b1a40c6cb4b5f908145f8c4_cgraph.png" border="0" usemap="#aclass_q_c_p_bars_group_ac7073cdd7b1a40c6cb4b5f908145f8c4_cgraph" alt=""/></div>
<map name="aclass_q_c_p_bars_group_ac7073cdd7b1a40c6cb4b5f908145f8c4_cgraph" id="aclass_q_c_p_bars_group_ac7073cdd7b1a40c6cb4b5f908145f8c4_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,208,31"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a6e4f4e86abbec6a9342f204ef82abef8" title=" " alt="" coords="256,5,399,31"/>
<area shape="poly" title=" " alt="" coords="208,15,242,15,242,21,208,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_bars_group_ac7073cdd7b1a40c6cb4b5f908145f8c4_icgraph.png" border="0" usemap="#aclass_q_c_p_bars_group_ac7073cdd7b1a40c6cb4b5f908145f8c4_icgraph" alt=""/></div>
<map name="aclass_q_c_p_bars_group_ac7073cdd7b1a40c6cb4b5f908145f8c4_icgraph" id="aclass_q_c_p_bars_group_ac7073cdd7b1a40c6cb4b5f908145f8c4_icgraph">
<area shape="rect" title=" " alt="" coords="409,5,612,31"/>
<area shape="rect" href="class_q_c_p_bars.html#aedd1709061f0b307c47ddb45e172ef9a" title=" " alt="" coords="199,5,361,31"/>
<area shape="poly" title=" " alt="" coords="396,21,361,21,361,15,396,15"/>
<area shape="rect" href="class_q_c_p_bars.html#a7cfc40a41ce0a2bce71cfb34f30886ac" title=" " alt="" coords="5,5,151,31"/>
<area shape="poly" title=" " alt="" coords="185,21,151,21,151,15,185,15"/>
</map>
</div>

</div>
</div>
<a id="a8e2ca6002e7bab49670144d048a2bcc9" name="a8e2ca6002e7bab49670144d048a2bcc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e2ca6002e7bab49670144d048a2bcc9">&#9670;&#160;</a></span>keyPixelOffset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPBarsGroup::keyPixelOffset </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_bars.html">QCPBars</a> *&#160;</td>
          <td class="paramname"><em>bars</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>keyCoord</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l24188">24188</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_bars_group_a8e2ca6002e7bab49670144d048a2bcc9_cgraph.png" border="0" usemap="#aclass_q_c_p_bars_group_a8e2ca6002e7bab49670144d048a2bcc9_cgraph" alt=""/></div>
<map name="aclass_q_c_p_bars_group_a8e2ca6002e7bab49670144d048a2bcc9_cgraph" id="aclass_q_c_p_bars_group_a8e2ca6002e7bab49670144d048a2bcc9_cgraph">
<area shape="rect" title=" " alt="" coords="5,107,207,132"/>
<area shape="rect" href="class_q_c_p_bars.html#a1b58664864b141f45e02044a855b3213" title=" " alt="" coords="291,5,429,31"/>
<area shape="poly" title=" " alt="" coords="131,104,186,77,254,48,298,32,300,37,256,52,189,82,133,109"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a6e4f4e86abbec6a9342f204ef82abef8" title=" " alt="" coords="513,81,656,107"/>
<area shape="poly" title=" " alt="" coords="171,104,254,93,383,87,500,88,500,93,383,92,255,98,172,109"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a0beccd41bc3841a4c5b284823bc7d2de" title=" " alt="" coords="255,107,465,132"/>
<area shape="poly" title=" " alt="" coords="207,117,241,117,241,122,207,122"/>
<area shape="rect" href="class_q_c_p_abstract_plottable.html#aa6f25b97ee99988fe352f17cb9ed962b" title=" " alt="" coords="285,157,435,197"/>
<area shape="poly" title=" " alt="" coords="164,129,272,154,271,159,163,135"/>
<area shape="rect" href="class_q_c_p_axis.html#a45c45bed7e5666683b8d56afa66fa51f" title=" " alt="" coords="275,221,445,247"/>
<area shape="poly" title=" " alt="" coords="126,130,182,168,256,206,281,215,280,220,254,211,179,172,123,134"/>
<area shape="rect" href="class_q_c_p_bars.html#a7e373a534d82e18ed27b3fafd1f08fae" title=" " alt="" coords="531,5,639,31"/>
<area shape="poly" title=" " alt="" coords="429,15,517,15,517,21,429,21"/>
<area shape="poly" title=" " alt="" coords="466,105,499,101,500,106,466,110"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_bars_group_a8e2ca6002e7bab49670144d048a2bcc9_icgraph.png" border="0" usemap="#aclass_q_c_p_bars_group_a8e2ca6002e7bab49670144d048a2bcc9_icgraph" alt=""/></div>
<map name="aclass_q_c_p_bars_group_a8e2ca6002e7bab49670144d048a2bcc9_icgraph" id="aclass_q_c_p_bars_group_a8e2ca6002e7bab49670144d048a2bcc9_icgraph">
<area shape="rect" title=" " alt="" coords="713,60,915,85"/>
<area shape="rect" href="class_q_c_p_bars.html#a55cdaf565cd3384158d1f7f89533bc2d" title=" " alt="" coords="483,10,665,36"/>
<area shape="poly" title=" " alt="" coords="738,59,636,38,637,33,739,54"/>
<area shape="rect" href="class_q_c_p_bars.html#a01b87e38e5d5089d214646d2af7896ea" title=" " alt="" coords="500,60,648,85"/>
<area shape="poly" title=" " alt="" coords="699,75,648,75,648,70,699,70"/>
<area shape="rect" href="class_q_c_p_bars.html#ac5a3854774d9d9cd129b1eae1426de2d" title=" " alt="" coords="494,109,654,134"/>
<area shape="poly" title=" " alt="" coords="739,90,637,112,636,106,738,85"/>
<area shape="rect" href="class_q_c_p_bars.html#aa267c20650d55084c3f47cb2f8fac9dc" title=" " alt="" coords="35,9,146,34"/>
<area shape="poly" title=" " alt="" coords="506,58,482,49,458,35,434,24,357,12,279,8,207,11,147,16,146,11,206,5,279,3,358,6,435,19,460,31,484,45,508,53"/>
<area shape="rect" href="class_q_c_p_bars.html#ac8b6b514a665a7bff4fb080413ba996a" title=" " alt="" coords="224,34,435,60"/>
<area shape="poly" title=" " alt="" coords="486,66,435,61,435,55,486,61"/>
<area shape="rect" href="class_q_c_p_bars.html#ae490d8589b7e5f5d7e2e5ee88ce3e6c2" title=" " alt="" coords="19,72,163,97"/>
<area shape="poly" title=" " alt="" coords="486,77,163,85,163,80,486,72"/>
<area shape="rect" href="class_q_c_p_bars.html#ab03bb6125c3e983b89d694f75ce6b3d5" title=" " alt="" coords="5,121,176,146"/>
<area shape="poly" title=" " alt="" coords="486,86,177,126,176,120,486,81"/>
<area shape="poly" title=" " alt="" coords="210,37,146,30,147,25,210,32"/>
<area shape="poly" title=" " alt="" coords="234,65,163,76,162,70,233,59"/>
<area shape="poly" title=" " alt="" coords="288,68,177,112,141,123,139,118,175,107,286,63"/>
</map>
</div>

</div>
</div>
<a id="a0beccd41bc3841a4c5b284823bc7d2de" name="a0beccd41bc3841a4c5b284823bc7d2de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0beccd41bc3841a4c5b284823bc7d2de">&#9670;&#160;</a></span>getPixelSpacing()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPBarsGroup::getPixelSpacing </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_bars.html">QCPBars</a> *&#160;</td>
          <td class="paramname"><em>bars</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>keyCoord</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l24254">24254</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_bars_group_a0beccd41bc3841a4c5b284823bc7d2de_cgraph.png" border="0" usemap="#aclass_q_c_p_bars_group_a0beccd41bc3841a4c5b284823bc7d2de_cgraph" alt=""/></div>
<map name="aclass_q_c_p_bars_group_a0beccd41bc3841a4c5b284823bc7d2de_cgraph" id="aclass_q_c_p_bars_group_a0beccd41bc3841a4c5b284823bc7d2de_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,216,31"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a6e4f4e86abbec6a9342f204ef82abef8" title=" " alt="" coords="264,5,407,31"/>
<area shape="poly" title=" " alt="" coords="216,15,250,15,250,21,216,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_bars_group_a0beccd41bc3841a4c5b284823bc7d2de_icgraph.png" border="0" usemap="#aclass_q_c_p_bars_group_a0beccd41bc3841a4c5b284823bc7d2de_icgraph" alt=""/></div>
<map name="aclass_q_c_p_bars_group_a0beccd41bc3841a4c5b284823bc7d2de_icgraph" id="aclass_q_c_p_bars_group_a0beccd41bc3841a4c5b284823bc7d2de_icgraph">
<area shape="rect" title=" " alt="" coords="963,60,1173,85"/>
<area shape="rect" href="class_q_c_p_bars_group.html#a8e2ca6002e7bab49670144d048a2bcc9" title=" " alt="" coords="713,60,915,85"/>
<area shape="poly" title=" " alt="" coords="949,75,915,75,915,70,949,70"/>
<area shape="rect" href="class_q_c_p_bars.html#a55cdaf565cd3384158d1f7f89533bc2d" title=" " alt="" coords="483,10,665,36"/>
<area shape="poly" title=" " alt="" coords="738,59,636,38,637,33,739,54"/>
<area shape="rect" href="class_q_c_p_bars.html#a01b87e38e5d5089d214646d2af7896ea" title=" " alt="" coords="500,60,648,85"/>
<area shape="poly" title=" " alt="" coords="699,75,648,75,648,70,699,70"/>
<area shape="rect" href="class_q_c_p_bars.html#ac5a3854774d9d9cd129b1eae1426de2d" title=" " alt="" coords="494,109,654,134"/>
<area shape="poly" title=" " alt="" coords="739,90,637,112,636,106,738,85"/>
<area shape="rect" href="class_q_c_p_bars.html#aa267c20650d55084c3f47cb2f8fac9dc" title=" " alt="" coords="35,9,146,34"/>
<area shape="poly" title=" " alt="" coords="506,58,482,49,458,35,434,24,357,12,279,8,207,11,147,16,146,11,206,5,279,3,358,6,435,19,460,31,484,45,508,53"/>
<area shape="rect" href="class_q_c_p_bars.html#ac8b6b514a665a7bff4fb080413ba996a" title=" " alt="" coords="224,34,435,60"/>
<area shape="poly" title=" " alt="" coords="486,66,435,61,435,55,486,61"/>
<area shape="rect" href="class_q_c_p_bars.html#ae490d8589b7e5f5d7e2e5ee88ce3e6c2" title=" " alt="" coords="19,72,163,97"/>
<area shape="poly" title=" " alt="" coords="486,77,163,85,163,80,486,72"/>
<area shape="rect" href="class_q_c_p_bars.html#ab03bb6125c3e983b89d694f75ce6b3d5" title=" " alt="" coords="5,121,176,146"/>
<area shape="poly" title=" " alt="" coords="486,86,177,126,176,120,486,81"/>
<area shape="poly" title=" " alt="" coords="210,37,146,30,147,25,210,32"/>
<area shape="poly" title=" " alt="" coords="234,65,163,76,162,70,233,59"/>
<area shape="poly" title=" " alt="" coords="288,68,177,112,141,123,139,118,175,107,286,63"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja przyjaciół i funkcji związanych</h2>
<a id="a721b87c7cdb8e83a90d77fc8a22e7195" name="a721b87c7cdb8e83a90d77fc8a22e7195"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a721b87c7cdb8e83a90d77fc8a22e7195">&#9670;&#160;</a></span>QCPBars</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="class_q_c_p_bars.html">QCPBars</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05777">5777</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a973d408cfbf88db95115aec71877f9e7" name="a973d408cfbf88db95115aec71877f9e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a973d408cfbf88db95115aec71877f9e7">&#9670;&#160;</a></span>mParentPlot</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_custom_plot.html">QCustomPlot</a>* QCPBarsGroup::mParentPlot</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05761">5761</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a6794ee1a9c81864d627bff6a4b2d64ec" name="a6794ee1a9c81864d627bff6a4b2d64ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6794ee1a9c81864d627bff6a4b2d64ec">&#9670;&#160;</a></span>mSpacingType</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_bars_group.html#a4c0521120a97e60bbca37677a37075b6">SpacingType</a> QCPBarsGroup::mSpacingType</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05762">5762</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a56471d7f548ca6141b7a5bf9629f7ece" name="a56471d7f548ca6141b7a5bf9629f7ece"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56471d7f548ca6141b7a5bf9629f7ece">&#9670;&#160;</a></span>mSpacing</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPBarsGroup::mSpacing</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05763">5763</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="affdb1e9233c277ff5a4c0a1121cf1fc0" name="affdb1e9233c277ff5a4c0a1121cf1fc0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affdb1e9233c277ff5a4c0a1121cf1fc0">&#9670;&#160;</a></span>mBars</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QList&lt;<a class="el" href="class_q_c_p_bars.html">QCPBars</a>*&gt; QCPBarsGroup::mBars</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05764">5764</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
<li><a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_bars_group.html">QCPBarsGroup</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
